package com.llw.libjava.commons.constant;

public class CharsetConstants {
	public static final String UTF8 = "UTF-8";
	public static final String UTF16 = "UTF-16";
	public static final String GBK = "GBK";
	public static final String GB2312 = "GB2312";

	public static final String DEFAULT_EXPRESSION = "CHARSET_DEFAULT";
	public static final String DEFAULT;
	
	static {
		String systemProperty = System.getProperty(DEFAULT_EXPRESSION, UTF8);
		DEFAULT = ((systemProperty == null) || ("".equals(systemProperty))) ? UTF8 : systemProperty;
	}

	private CharsetConstants() {
	}
}
