package com.llw.libjava.commons.constant;

public class SymbolRegexConstants {
	/**
	 * 标点符号：逗号
	 */
	public static final String PUNCTUATION_COMMA = ",";
	/**
	 * 标点符号：点
	 */
	public static final String PUNCTUATION_DOT = "\\.";
	/**
	 * 标点符号：中横线
	 */
	public static final String LINE_TRANSVERSE_MIDDLE = "-";
	/**
	 * 标点符号：下划线
	 */
	public static final String LINE_TRANSVERSE_UNDER = "_";
	/**
	 * 标点符号：竖线
	 */
	public static final String LINE_VERTICAL_VIRGULE = "\\|";
	/**
	 * 标点符号：波浪线
	 */
	public static final String LINE_WAVE = "~";
	/**
	 * 标点符号：斜线
	 */
	public static final String LINE_SLANT = "/";
	/**
	 * 标点符号：反斜线
	 */
	public static final String LINE_BACK_SLANT = "\\\\";
	/**
	 * 运算符：加号
	 */
	public static final String OPERATIONAL_CHARACTER_PLUS = "\\+";
	/**
	 * 运算符：减号
	 */
	public static final String OPERATIONAL_CHARACTER_MINUS = "-";
	/**
	 * 运算符：乘号
	 */
	public static final String OPERATIONAL_CHARACTER_MULTIPLE = "\\*";
	/**
	 * 运算符：除号
	 */
	public static final String OPERATIONAL_CHARACTER_DIVISION = "/";

	private SymbolRegexConstants() {
	}

//	public static void main(String[] args) {
//		test1();
//		test2();
//		test3();
//		test4();
//		test5();
//		test6();
//	}
//
//	private static void test1() {
//		String expression = "a-b";
//		String[] segments = expression.split(OPERATIONAL_CHARACTER_MINUS);
//		System.out.println(segments[0]);
//		System.out.println(segments[1]);
//		System.out.println(expression.replaceAll(OPERATIONAL_CHARACTER_MINUS, "|"));
//	}
//
//	private static void test2() {
//		String expression = "a/b";
//		String[] segments = expression.split(OPERATIONAL_CHARACTER_DIVISION);
//		System.out.println(segments[0]);
//		System.out.println(segments[1]);
//		System.out.println(expression.replaceAll(OPERATIONAL_CHARACTER_DIVISION, "|"));
//	}
//
//	private static void test3() {
//		String expression = "a|b";
//		String[] segments = expression.split(LINE_VERTICAL_VIRGULE);
//		System.out.println(segments[0]);
//		System.out.println(segments[1]);
//		System.out.println(expression.replaceAll(LINE_VERTICAL_VIRGULE, " "));
//	}
//
//	private static void test4() {
//		String expression = "a~b";
//		String[] segments = expression.split(LINE_WAVE);
//		System.out.println(segments[0]);
//		System.out.println(segments[1]);
//		System.out.println(expression.replaceAll(LINE_WAVE, " "));
//	}
//
//	private static void test5() {
//		String expression = "a/b";
//		String[] segments = expression.split(LINE_SLANT);
//		System.out.println(segments[0]);
//		System.out.println(segments[1]);
//		System.out.println(expression.replaceAll(LINE_SLANT, " "));
//	}
//
//	private static void test6() {
//		String expression = "a\\b";
//		String[] segments = expression.split(LINE_BACK_SLANT);
//		System.out.println(segments[0]);
//		System.out.println(segments[1]);
//		System.out.println(expression.replaceAll(LINE_BACK_SLANT, " "));
//	}
}
