package com.llw.libjava.commons.util;

import java.util.Collection;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;

import javolution.util.FastMap;

public class ContainerUtil {

	public ContainerUtil() {
	}

	public static Map<String, String> assertMapElementIsString(Map<String, Object> map) {
		Set<Entry<String, Object>> entrySet = map.entrySet();
		Map<String, String> mapRebuilt = new FastMap<String, String>();
		for (Entry<String, Object> entry : entrySet) {
			String key = entry.getKey();
			String value = (String) entry.getValue();
			mapRebuilt.put(key, value);
		}
		return mapRebuilt;
	}

	public static boolean isEmpty(Collection<?> collection) {
		return collection == null || collection.size() == 0;
	}

	public static boolean isEmpty(Map<?, ?> map) {
		return map == null || map.size() == 0;
	}
}
