package com.llw.libjava.commons.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

//import ch.qos.logback.classic.LoggerContext;
//import ch.qos.logback.classic.joran.JoranConfigurator;
//import ch.qos.logback.core.joran.spi.JoranException;

public class LogUtil {

	private LogUtil() {
	}

	public static Properties getLog4jProperties(String propertiesLocation) throws IOException {
		InputStream log4jInputStream = null;
		try {
			ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
			log4jInputStream = contextClassLoader.getResourceAsStream(propertiesLocation);
			Properties log4jProperties = new Properties();
			log4jProperties.load(log4jInputStream);
			return log4jProperties;
		} finally {
			if (log4jInputStream != null) {
				log4jInputStream.close();
			}
		}
	}

	// public static void prepareLog4jConfiguration(String...
	// log4jPropertiesLocations) throws IOException {
	// Properties globalLog4jProperties = new Properties();
	// for (String log4jPropertiesLocation : log4jPropertiesLocations) {
	// Properties log4jProperties = getLog4jProperties(log4jPropertiesLocation);
	// globalLog4jProperties.putAll(log4jProperties);
	// }
	// PropertyConfigurator.configure(globalLog4jProperties);
	// }
	//
	// public static void prepareLog4jConfiguration(Properties...
	// log4jPropertiess) throws IOException {
	// Properties globalLog4jProperties = new Properties();
	// for (Properties log4jProperties : log4jPropertiess) {
	// globalLog4jProperties.putAll(log4jProperties);
	// }
	// PropertyConfigurator.configure(globalLog4jProperties);
	// }

	// public static void prepareLogbackConfiguration(InputStream
	// logbackConfigurationIS) throws JoranException, IOException {
	// try {
	// LoggerContext loggerContext = (LoggerContext)
	// LoggerFactory.getILoggerFactory();
	// JoranConfigurator joranConfigurator = new JoranConfigurator();
	// joranConfigurator.setContext(loggerContext);
	// joranConfigurator.doConfigure(logbackConfigurationIS);
	// } finally {
	// if (logbackConfigurationIS != null) {
	// logbackConfigurationIS.close();
	// }
	// }
	// }
	//
	// public static void prepareLogbackConfigurationFromClassPath(String
	// logbackXmlLocation) throws JoranException, IOException {
	// ClassLoader contextClassLoader =
	// Thread.currentThread().getContextClassLoader();
	// InputStream logbackConfigurationIS =
	// contextClassLoader.getResourceAsStream(logbackXmlLocation);
	// prepareLogbackConfiguration(logbackConfigurationIS);
	// }
	//
	// public static void prepareLogbackConfigurationFromFileSystem(String
	// logbackXmlLocation) throws JoranException, IOException {
	// InputStream logbackConfigurationIS = new
	// FileInputStream(logbackXmlLocation);
	// prepareLogbackConfiguration(logbackConfigurationIS);
	// }
	//
	// public static void prepareLogbackConfigurationFromFileSystem(File
	// logbackXmlFile) throws JoranException, IOException {
	// InputStream logbackConfigurationIS = new FileInputStream(logbackXmlFile);
	// prepareLogbackConfiguration(logbackConfigurationIS);
	// }
}
