package com.llw.libjava.commons.util;

public class ObjectUtil {

	private ObjectUtil() {
	}

	@SuppressWarnings("unchecked")
	public static <T> boolean equals(Object object, T target) {
		T source = null;
		try {
			source = (T) object;
		} catch (ClassCastException e) {
			return false;
		}
		if (source == null && target == null) {
			return true;
		}
		if (source == null || !source.equals(target)) {
			return false;
		}
		return true;
	}
}
