package com.llw.libjava.commons.util.iterate;

import java.util.Iterator;

public class ArrayIterator<T> implements Iterator<T> {
	private T[] array = null;
	private int bound = 0;
	private int offset = 0;

	public ArrayIterator(T[] array) {
		bound = array.length;
		this.array = array;
	}

	public boolean hasNext() {
		return offset < bound;
	}

	public T next() {
		return array[offset++];
	}

	public void remove() {
		throw new UnsupportedOperationException();
	}

	protected T[] array() {
		return array;
	}
}
