package com.llw.libjava.io.file.image.color;

import java.math.BigDecimal;

/**
 * @author AEYE-BJ-ZBL
 * @description 整型方法
 */
public class GrayValueCalculator2 implements GrayValueCalculator {
	
	public GrayValueCalculator2() {
	}

	public BigDecimal calculate(RGB rgb) {
		int red = rgb.getRed();
		int green = rgb.getGreen();
		int blue = rgb.getBlue();
		int gray = (red * 30 + green * 59 + blue * 11) / 100;
		return new BigDecimal(gray);
	}
}
