package com.llw.libjava.io.stream;

/**
 * @author zhubolin
 * @description segment length == segment size
 */
public class ActualStreamSegment implements StreamSegment {
	private byte[] segment = null;
	
	public ActualStreamSegment(byte[] segment) {
		this.segment = segment;
	}

	public byte[] getSegment() {
		byte[] segmentCopy = new byte[segment.length];
		System.arraycopy(segment, 0, segmentCopy, 0, segment.length);
		return segmentCopy;
	}

	public int getSegmentSize() {
		return segment.length;
	}
}
