package security.cipher4j.base.attr.rsa;

import security.cipher4j.base.attr.CipherToolAttribute;
import security.cipher4j.base.attr.CipherToolAttributeBuilder;

public class RsaCipherToolAttributeBuilder implements CipherToolAttributeBuilder {

	public RsaCipherToolAttributeBuilder() {
	}

	@Override
	public CipherToolAttribute build() {
		return RsaCipherToolAttribute.createInstance();
	}

	@Override
	public CipherToolAttribute build(int keySize) {
		return RsaCipherToolAttribute.createInstance(keySize);
	}
}
