package com.llw.libjava.commons.constant;

public class SymbolConstants {
	/**
	 * 标点符号：逗号
	 */
	public static final String PUNCTUATION_COMMA = ",";
	/**
	 * 标点符号：点
	 */
	public static final String PUNCTUATION_DOT = ".";
	/**
	 * 标点符号：问号
	 */
	public static final String QUESTION = "?";
	/**
	 * 标点符号：叹号
	 */
	public static final String EXCLAMATION = "!";
	/**
	 * 标点符号：制表符
	 */
	public static final String TAB = "\t";
	/**
	 * 标点符号：回车
	 */
	public static final String ENTER = "\r";
	/**
	 * 标点符号：换行
	 */
	public static final String NEW_LINE = "\n";
	/**
	 * 标点符号：中横线
	 */
	public static final String LINE_TRANSVERSE_MIDDLE = "-";
	/**
	 * 标点符号：下划线
	 */
	public static final String LINE_TRANSVERSE_UNDER = "_";
	/**
	 * 标点符号：竖线
	 */
	public static final String LINE_VERTICAL_VIRGULE = "|";
	/**
	 * 标点符号：波浪线
	 */
	public static final String LINE_WAVE = "~";
	/**
	 * 标点符号：斜线
	 */
	public static final String LINE_SLANT = "/";
	/**
	 * 标点符号：反斜线
	 */
	public static final String LINE_BACK_SLANT = "\\";
	/**
	 * 运算符：加号
	 */
	public static final String OPERATIONAL_CHARACTER_PLUS = "+";
	/**
	 * 运算符：减号
	 */
	public static final String OPERATIONAL_CHARACTER_MINUS = "-";
	/**
	 * 运算符：乘号
	 */
	public static final String OPERATIONAL_CHARACTER_MULTIPLE = "*";
	/**
	 * 运算符：除号
	 */
	public static final String OPERATIONAL_CHARACTER_DIVISION = "/";

	private SymbolConstants() {
	}
}
