package com.llw.libjava.commons.util.index.bo.l;

public abstract class RangeOrderedLIdxGenerator implements OrderedLIdxGenerator {
	protected long min = 0;
	protected long max = 0;
	protected long current = 0;

	public RangeOrderedLIdxGenerator(long min, long max) {
		setMin(min);
		setMax(max);
	}

	public long getMin() {
		return min;
	}

	private void setMin(long min) {
		this.min = min;
	}

	public long getMax() {
		return max;
	}

	private void setMax(long max) {
		this.max = max;
	}
}
