package com.llw.libjava.io.file.image.color;

import java.math.BigDecimal;

/**
 * @author AEYE-BJ-ZBL
 * @description 浮点方法
 */
public class GrayValueCalculator1 implements GrayValueCalculator {
	
	public GrayValueCalculator1() {
	}

	public BigDecimal calculate(RGB rgb) {
		int red = rgb.getRed();
		int green = rgb.getGreen();
		int blue = rgb.getBlue();
		float gray = (float) (red * 0.3 + green * 0.59 + blue * 0.11);
		return new BigDecimal(gray);
	}
}
