package com.llw.libjava.io.file.image.color;

import java.math.BigDecimal;

/**
 * @author AEYE-BJ-ZBL
 * @description 移位方法
 */
public class GrayValueCalculator3 implements GrayValueCalculator {
	
	public GrayValueCalculator3() {
	}

	public BigDecimal calculate(RGB rgb) {
		int red = rgb.getRed();
		int green = rgb.getGreen();
		int blue = rgb.getBlue();
		int gray = (red * 28 + green * 151 + blue * 77) >> 8;
		return new BigDecimal(gray);
	}
}
