package com.llw.libjava.io.file.image.color;

import java.math.BigDecimal;

/**
 * @author AEYE-BJ-ZBL
 * @description 平均值法
 */
public class GrayValueCalculator4 implements GrayValueCalculator {
	
	public GrayValueCalculator4() {
	}

	public BigDecimal calculate(RGB rgb) {
		int red = rgb.getRed();
		int green = rgb.getGreen();
		int blue = rgb.getBlue();
		int gray = (red + green + blue) / 3;
		return new BigDecimal(gray);
	}
}
