package security.cipher4j.base.attr;

public class CipherToolAttributeTemplate implements CipherToolAttribute {
	protected String algorithmName = null;
	protected int keySizeMinimum = -1;
	protected int keySizeMaximum = -1;
	protected int keySizeActual = -1;
	protected int cleartextBufferSize = -1;
	protected int ciphertextBufferSize = -1;

	public CipherToolAttributeTemplate(String algorithmName, int keySizeMinimum, int keySizeMaximum, int keySizeActual, int cleartextBufferSize, int ciphertextBufferSize) {
		setAlgorithmName(algorithmName);
		setKeySizeMinimum(keySizeMinimum);
		setKeySizeMaximum(keySizeMaximum);
		setKeySizeActual(keySizeActual);
		setCleartextBufferSize(cleartextBufferSize);
		setCiphertextBufferSize(ciphertextBufferSize);
	}

	@Override
	public String getAlgorithmName() {
		return algorithmName;
	}

	protected void setAlgorithmName(String algorithmName) {
		this.algorithmName = algorithmName;
	}

	@Override
	public int getKeySizeMinimum() {
		return keySizeMinimum;
	}

	protected void setKeySizeMinimum(int keySizeMinimum) {
		this.keySizeMinimum = keySizeMinimum;
	}

	@Override
	public int getKeySizeMaximum() {
		return keySizeMaximum;
	}

	protected void setKeySizeMaximum(int keySizeMaximum) {
		this.keySizeMaximum = keySizeMaximum;
	}

	@Override
	public int getKeySizeActual() {
		return keySizeActual;
	}

	protected void setKeySizeActual(int keySizeActual) {
		this.keySizeActual = keySizeActual;
	}

	@Override
	public int getCleartextBufferSize() {
		return cleartextBufferSize;
	}

	protected void setCleartextBufferSize(int cleartextBufferSize) {
		this.cleartextBufferSize = cleartextBufferSize;
	}

	@Override
	public int getCiphertextBufferSize() {
		return ciphertextBufferSize;
	}

	protected void setCiphertextBufferSize(int ciphertextBufferSize) {
		this.ciphertextBufferSize = ciphertextBufferSize;
	}
}
