package security.cipher4j.base.attr.aes;

import security.cipher4j.base.CipherConstants;
import security.cipher4j.base.attr.CipherToolAttributeTemplate;

public class AesCipherToolAttribute extends CipherToolAttributeTemplate {

	public AesCipherToolAttribute(int keySizeActual) {
		super(CipherConstants.ALGORITHM_NAME_AES, CipherConstants.KEY_SIZE_AES_MINIMUM, CipherConstants.KEY_SIZE_AES_MAXIMUM, keySizeActual, -1, -1);
	}

	public static AesCipherToolAttribute createInstance() {
		return createInstance(CipherConstants.KEY_SIZE_AES_DEFAULT);
	}

	public static AesCipherToolAttribute createInstance(int keySize) {
		return new AesCipherToolAttribute(keySize);
	}
}
